import { useState } from "react";
import "./index.less";

function TimeScroll() {
  const [cursor, setCursor] = useState({
    top: 0,
  });
  const onMouseMove = (e: any) => {
    const diffY = e.screenY - e.clientY;
    console.log(e)
    setCursor({ top: diffY });
  };
  return (
    <div className="timescroll" onMouseMove={onMouseMove}>
      <svg
        className="caret up"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 32 32"
      >
        <path d="M8 20l8-10l8 10z" fill="currentColor"></path>
      </svg>
      <div className="orbit">
        <span className="cursor" style={{ top: cursor.top }}></span>
        <div
          className="node bingo"
          style={{ top: "20px" }}
          data-year="2021"
        ></div>
        <div className="node empty" style={{ top: "40px" }}></div>
        <div
          className="node bingo"
          style={{ top: "60px" }}
          data-year="2020"
        ></div>
        <div
          className="node bingo"
          style={{ top: "80px" }}
          data-year="2019"
        ></div>
      </div>
      <svg
        className="caret down"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 32 32"
      >
        <path d="M24 12l-8 10l-8-10z" fill="currentColor"></path>
      </svg>
    </div>
  );
}

export default TimeScroll;
